#include "ClassCallers.h"


extern "C" QProblem_API QProblem* CreateQProblem(int _nV,	  							/**< Number of variables. */
	int _nC		  						/**< Number of constraints. */
	)
{
	return new QProblem(_nV, _nC);
}

extern "C" QProblem_API void DisposeQProblem(QProblem* pObject)
{
	if (pObject != NULL)
	{
		delete pObject;
		pObject = NULL;
	}
}

extern "C" QProblem_API returnValue QProblemInit(QProblem* pObject, 
							const real_t* const _H, 	/**< Hessian matrix (a shallow copy is made). \n
															 If Hessian matrix is trivial, a NULL pointer can be passed. */
							const real_t* const _g, 	/**< Gradient vector. */
							const real_t* const _A,  	/**< Constraint matrix (a shallow copy is made). */
							const real_t* const _lb,	/**< Lower bound vector (on variables). \n
															 If no lower bounds exist, a NULL pointer can be passed. */
							const real_t* const _ub,	/**< Upper bound vector (on variables). \n
															 If no upper bounds exist, a NULL pointer can be passed. */
							const real_t* const _lbA,	/**< Lower constraints' bound vector. \n
															 If no lower constraints' bounds exist, a NULL pointer can be passed. */
							const real_t* const _ubA,	/**< Upper constraints' bound vector. \n
															 If no lower constraints' bounds exist, a NULL pointer can be passed. */
							int& nWSR					/**< Input: Maximum number of working set recalculations when using initial homotopy.
															 Output: Number of performed working set recalculations. */
							)
{
	if (pObject != NULL)
	{
		return pObject->init(_H, _g, _A, _lb, _ub, _lbA, _ubA, nWSR);
	}
}

