#include "MasterUtility.h"


MasterUtility::MasterUtility()
{
}


MasterUtility::~MasterUtility()
{
}

double MasterUtility::parseDoubleDelimited(string toParse, char delimiter, int index)
{
	size_t pos = 0;
	string token = "";
	int count = 0;
	while ((pos = toParse.find(delimiter)) != string::npos)
	{
		token = toParse.substr(0, pos);
		if (count == index)
			return stof(token);
		toParse.erase(0, pos + 1);
		count++;
	}
	// Assume there may be data after the last delimiter as well
	if (count == index)
		return stof(toParse);
	return 0;
}

int MasterUtility::parseIntDelimited(string toParse, char delimiter, int index)
{
	double num = parseDoubleDelimited(toParse, delimiter, index);
	return (num > 0) ? (int)(num + 0.5) : (int)(num - 0.5);
}

std::vector<double> MasterUtility::getVectorDifference(std::vector<double> first, std::vector<double> second)
{
	std::vector<double> res;

	// Different sizes -> return empty vector
	if (first.size() != second.size())
		return res;

	// If not, return the diff
	res.resize(first.size());
	for (int i = 0; i < first.size(); i++)
		res[i] = first[i] - second[i];
	return res;
}
