#pragma once
#include <vector>
#include <time.h>
using namespace std;

class Path
{
public:
	int i;
	vector<int> nodes, arcs;
	double maxMC, minMC;
	void load(vector<int> &visited, int i, int nNodes, 
		vector<double> &transcap, vector<double> &transCost1, 
		vector<double> &transCost2);
	bool operator==(const Path& rhs);
};


class Network
{
	vector<double> transCap, transCost1, transCost2, maxPathCost;
	void findPaths(int, int);
	void bfs(vector<int> &visited, int org, int dest, 
		double cost, double maxCost);
	void addPath(int, int, vector<int>);
	void findHighestPathPrice();
public:
	int nNodes, nlinks, nLinks_a, nPaths, nRS;
	vector<vector<int>> neighbours;
	vector<vector<Path>> paths, paths_for_a, paths_for_link;
	vector<int> link_for_a, a_for_link, link_for_rs, rs_for_link;
	vector<bool> hasPath;
	vector<double> minPrices;
	double maxPathMC;

	Network();
	~Network();
	void load(int nNodes, vector<double> transcap, 
		vector<double> transCost1, vector<double> transCost2, 
		vector<double> demandIntercept);

	void findAllPaths();
};

