#pragma once
#include "Heuristic.h"
#include "RunSetup.h"

//wrapper class for different solver loops. Loads data sets and 
//	calls the Heuristic class for solving the instances
class RunLoops
{
	RunSetup runSetup;
	int nProb;
	vector<Heuristic> heurSet;


public:

	vector<ProblemDescription> pdSet;

	RunLoops();
	~RunLoops();

	void runSet(vector<ProblemDescription> &set, int n);
	void runSet(vector<ProblemDescription> &set);
	void runSet(vector<Heuristic> &set, int n);
	void runSet(vector<Heuristic> &set);
	void runSet(Prices prices, int n = 1);
	void runSet();

	void saveSummary();

	void loadSet(vector<ProblemDescription> &);
	void loadSettings(RunSetup& rs);
	void loadSettings();
	void loadFolderSet(string folder);
	void loadFolderSet();

	void parameterLogging();
	void runAndLog(ProblemDescription pd);
	void runAndCompare(ProblemDescription pd, string gamsResultFileLocation);
	void runAndCompare(ProblemDescription pd);
	
	static void printDiff(string whatChange, std::vector<double> diff);
};

