#pragma once

//This is the class for setting parameter and options (except 
//  which alternative is used, which is set in ProblemDescription.h

class RunSetup
{
public:
	double 
		// initial price parameter
		initPriceK = 1, 
		// step length parameters (init_step is step_0)
		init_step = 0.01,
		step_c = 0.01,
		step1 = 0.5, 
		step2 = 1.5,
		// Final slack targets
		targetCommSlack = 1E-3, 
		targetTransSlack = 1E-3, 
		targetCapSlack = 1E-7,
		targetCapSlackAlt1 = 1E-2,
		// initial slack parameter
		init_slack = 0.01, 
		// slack scaling parameters (scaled from 
		//  transportation price slack values
		cap_slack_scale = 1,
		commodity_slack_scale = 1,
		dual_cap_slack_scale = 1,
		// Factor for decreasing slack levels
		slack_change_factor = 10,
		//Outdated
		_slackLimit = 1E-9;
	bool
		//true for storing result files (false will only write to 
		//  the summary file)
		storeValues = true,
		//true for printing intermediate results to the console
		printRes = false,
		//true for storing decision variables when storing result
		//  files
		storeDV = true;
	
	// max TSO iterations
	int maxiterations = 100000;
	
	//ignore
	bool	mosek = true,
		reduceSteps = true;
	
};