* 10 node data set made from "real world" data
* 1 Norway                NOR        6  Czech Republic        CZE
* 2 Germany               DEU        7  Poland                POL
* 3 United Kingdom        GBR        8  Baltics               BALT
* 4 France                FRA        9  Russia                RUS_W
* 5 Netherlands           NLD        10 Belgium               BEL
sets
         n       nodes           /1*3/
         i       producers       /1*3/
;

Alias (n,m);

parameters

A(n) demand slope /
1        0.0001178927
2        0.0000101592
3        0.0000076177
/

B(n)    demand intercept /
1        431.080402
2        635.0326797
3        518.2051282
/

Cprod1(i) linear supplier cost /
1       45
2       65
3       60
/

Cprod2(i) quad supplier cost /
1        0.0000009000
2        0.0000008300
3        0.0000008800
/
;

table Ctrans1(n,m) linear tso cost
         1       2       3
1        0       23.25   21
2        23.25   0       22
3        21      22      0
;

table Ctrans2(n,m)  quad tso cost
         1               2               3
1        0.000001        0.000001        0.000001
2        0.000001        0.000001        0.000001
3        0.000001        0.000001        0.000001
;

table productionCAP(n,i)   production capacity
         1               2               3
1        115000000       0               0
2        0               12000000        0
3        0               0               60000000
;

table transportationCAP(n,m) transportation capacity
         1               2               3
1        0               43000000        47000000
2        43000000        0               20000000
3        47000000        20000000        0
;


table transportationTariff(n,m)
         1      2       3
1        0      0       0
2        0      0       0
3        0      0       0
;
